<div id="form-outer">

  <div id="form-inner">
    <form [formGroup]="myForm">
      <div>
        <mat-form-field>
          <input matInput placeholder="brand" formControlName="brand">
          <mat-hint>Porsche</mat-hint>
        </mat-form-field>
      </div>

      <div>
        <mat-form-field>
          <input matInput placeholder="model" formControlName="model">
          <mat-error *ngIf="model.invalid && model.touched">Enter a valid model!</mat-error>
          <mat-hint>911 Carrera S</mat-hint>
        </mat-form-field>
      </div>
     <div>
      <mat-form-field>
        <input matInput placeholder="year" formControlName="year">
        <mat-hint>2020</mat-hint>
      </mat-form-field>
     </div>
      <div>
        <button [disabled]="myForm.invalid" (click)="onSubmit()">Submit</button>
      </div>
    </form>
  </div>


  <div id="list-inner">
    <cdk-virtual-scroll-viewport itemSize="50" class="cars-viewport">
      <span *ngIf="(cars$ | async).length == 0">No cars yet!</span>
      <mat-card class="card-card" *ngFor="let car of (cars$ | async); let i = index;">
        <mat-card-header>
          <div mat-card-avatar class="example-header-image"></div>
          <mat-card-title>{{car.brand}} {{car.model}}</mat-card-title>
        </mat-card-header>
        <img mat-card-image 
        src="https://tveassetsprod.blob.core.windows.net/editorial/2019/03/porsche-911-carrera-4s-02.jpg"
         alt="Photo of a Porsche 911 Carrera S"
         class="car-image">
        <mat-card-content>
          <p>
            Some description
          </p>
        </mat-card-content>
        <mat-card-actions>
          <button (click)="removeCar(car)" mat-button>Remove</button>
        </mat-card-actions>
      </mat-card>
    </cdk-virtual-scroll-viewport>
  </div>

</div>




